## gcc-4.7-arm-linux-gnueabihf 4.7.1-8+rpi1+cross1

=== debian/changelog ===
gcc-4.7-arm-linux-gnueabihf (4.7.1-8+rpi1+cross1) wheezy; urgency=low

  * setup complier for cross-building

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 22 Sep 2012 20:25:54 +0000

gcc-4.7 (4.7.1-8+rpi1) wheezy; urgency=low

  * Set defaults for raspbian (ARMv6+VFP)
  * Disable testsuite
  * Include a copy of multiarch cross patches from 
    http://emdebian.org/~thibg/patches/gcc-4.7/4.7.1-8/ in 
    debian/thibgpatches don't apply them because i'm not sure what impact
    they will have on native builds.

 -- Peter Michael Green <plugwash@p10link.net>  Thu, 13 Sep 2012 21:40:45 +0000

gcc-4.7 (4.7.1-8) unstable; urgency=low

  * Update to SVN 20120908 (r191092) from the gcc-4_7-branch.
    - Fix PR libstdc++/54376, PR libstdc++/54297, PR libstdc++/54351,
      PR libstdc++/54297, PR target/54461 (AVR), PR target/54476 (AVR),
      PR target/54220 (AVR), PR fortran/54208 (rejects valid),
      PR middle-end/53667 (wrong code), PR target/54252 (ARM, wrong code),
      PR rtl-optimization/54455 (ice on valid), PR driver/54335 (docs),
      PR tree-optimization/54498 (wrong code), PR target/45070 (wrong code),
      PR tree-optimization/54494 (wrong code), PR target/54436 (x86),
      PR c/54428 (ice on valid), PR c/54363 (ice on valid, closes: #684635),
      PR rtl-optimization/54369 (mips, sparc, wrong code), PR middle-end/54146,
      PR target/46254 (ice on valid), PR rtl-optimization/54088 (ice on valid),
      PR target/54212 (ARM, wrong code), PR c++/54197 (wrong code),
      PR lto/53572, PR tree-optimization/53922 (wrong code).
    - Go fixes.

  [ Nobuhiro Iwamatsu ]
  * Remove sh4-enable-ieee.diff, -mieee enabled by default. Closes: #685975.

  [ Matthias Klose ]
  * Fix PR c++/54341, PR c++/54253, taken from the trunk. Closes: #685430.
  * Update libitm package description. Closes: #686802.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Sep 2012 22:16:55 +0200

gcc-4.7 (4.7.1-7) unstable; urgency=low

  * Update to SVN 20120814 (r190380) from the gcc-4_7-branch.
    - Fix PR libstdc++/54036, PR target/53961 (x86), PR libstdc++/54185,
      PR rtl-optimization/53942, PR rtl-optimization/54157.

  [ Thibaut Girka ]
  * Fix cross compilers for 64bit architectures when using
    DEB_CROSS_NO_BIARCH.
  * Fix glibc dependency for multiarch enabled builds for architectures
    with a different libc-dev package name.

  [ Aurelien Jarno ]
  * powerpc64: Fix non-multilib builds.

  [ Matthias Klose ]
  * Fix syntax error generating the control file for cross builds.
    Closes: #682104.
  * spu build: Move static libraries to version specific directories.
    Closes: #680022.
  * Don't run the libstdc++ tests on mipsel, times out on the buildds.
  * Update the Linaro support to the 4.7-2012.08 release.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2012 13:58:03 +0200

gcc-4.7 (4.7.1-6) unstable; urgency=low

  * Update to SVN 20120731 (r190015) from the gcc-4_7-branch.
    - Fix PR libstdc++/54075, PR libstdc++/53270, PR libstdc++/53978,
      PR target/33135 (SH), PR target/53877 (x86), PR rtl-optimization/52250,
      PR middle-end/54017, PR target/54029, PR target/53961 (x86),
      PR target/53110 (x86), PR rtl-optimization/53908, PR c++/54038,
      PR c++/54026, PR c++/53995, PR c++/53989, PR c++/53549 (closes: #680931),
      PR c++/53953.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Jul 2012 20:00:56 +0200

gcc-4.7 (4.7.1-5) unstable; urgency=high

  * Update to SVN 20120713 (r189464) from the gcc-4_7-branch.
    - Fix PR libstdc++/53657, PR c++/53733 (DR 1402), PR target/53811,
      PR target/53853.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jul 2012 16:59:59 +0200

gcc-4.7 (4.7.1-4) unstable; urgency=medium

  * Update to SVN 20120709 (r189388) from the gcc-4_7-branch.
    - Fix PR libstdc++/53872, PR libstdc++/53830, PR bootstrap/52947,
      PR middle-end/52786, PR middle-end/50708, PR tree-optimization/53693,
      PR middle-end/52621, PR middle-end/53433, PR fortran/53732,
      PR libstdc++/53578, PR c++/53882 (closes: #680521), PR c++/53826.
  * Update the Linaro support to the 4.7-2012.07 release.
  * Fix build on pre-multiarch releases (based on a patch from Chip Salzenberg).
    Closes: #680590.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jul 2012 18:58:47 +0200

gcc-4.7 (4.7.1-3) unstable; urgency=low

  * Update to SVN 20120703 (r189219) from the gcc-4_7-branch.
    - Fix PR preprocessor/37215, PR middle-end/38474, PR target/53595 (AVR),
      PR middle-end/53790, PR debug/53682, PR target/53759 (x86),
      PR c++/53816, PR c++/53821, PR c++/51214, PR c++/53498, PR c++/53305,
      PR c++/52988 (wrong code), PR c++/53202 (wrong code), PR c++/53594.
    - The change for PR libstdc++/49561 was reverted. The std::list size is
      now the same again in c++98 and c++11 mode.
  * Revert the local std::list work around.
  * Build using isl instead of ppl for snapshot builds.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Jul 2012 15:07:14 +0200

gcc-4.7 (4.7.1-2) unstable; urgency=medium

  * Update to SVN 20120623 (r188906) from the gcc-4_7-branch.
    - Fix PR rtl-optimization/53700 (closes: #677678), PR target/52908,
      PR libstdc++/53270, PR libstdc++/53678, PR gcov-profile/53744,
      PR c++/52637, PR middle-end/53470, PR c++/53651, PR c++/53137,
      PR c++/53599, PR fortran/53691, PR fortran/53685, PR ada/53592.
  * Update NEWS files for 4.7.1.
  * Bump gcc/FULL-VERSION to 4.7.1.
  * Update the Linaro support to the 4.7-2012.06 release.
  * Restore std::list ABI compatibility in c++11 mode. The upstream behaviour
    can be enabled defining __CXX0X_STD_LIST_ABI_INCOMPAT__. This work around
    will be replaced with an upstream solution.
  * Fix PR debug/53682, taken from the trunk. Closes: #677606.
  * Use $(with_gccbase) and $(with_gccxbase) to determine whether to enable it
    in the control file (Thibaut Girka).
  * When building a cross-compiler, runtime libraries for the target

