=== debian/control ===
Source: gcc-4.7-arm-linux-gnueabihf
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 3.9.3
Build-Depends: dpkg-dev (>= 1.16.0~ubuntu4), debhelper (>= 5.0.62), libc6-dev:armhf (>= 2.13-5), , libunwind7-dev:armhf (>= 0.98.5-6) [ia64], libatomic-ops-dev:armhf [ia64], m4, libtool, autoconf2.64, automake (>= 1:1.11), automake (<< 1:1.12), libc6-dev:armhf, libcloog-ppl-dev (>= 0.15.9-2~), libmpc-dev, libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), libelfg0-dev (>= 0.8.12), , zlib1g-dev, gawk, lzma, xz-utils, patchutils, binutils-arm-linux-gnueabihf (>= 2.21.1), binutils-multiarch (>= 2.21.1), bison (>= 1:2.3), flex, realpath (>= 1.9.12), lsb-release, make (>= 3.81), quilt
Build-Conflicts: binutils-gold
Homepage: http://gcc.gnu.org/
XS-Vcs-Browser: http://svn.debian.org/viewsvn/gcccvs/branches/sid/gcc-4.7/
XS-Vcs-Svn: svn://svn.debian.org/svn/gcccvs/branches/sid/gcc-4.7

Package: gcc-4.7-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: gcj-4.6-base (<< 4.6.1-4~), gnat-4.6 (<< 4.6.1-5~), dehydra (<= 0.9.hg20110609-2)
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-4.7-arm-linux-gnueabihf-base
Architecture: any
Section: devel
Priority: extra
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1
Architecture: any
Section: libs
Priority: required
Depends: gcc-4.7-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: multiarch-support
Breaks: ${multiarch:breaks}
Provides: libgcc1-armel [armel], libgcc1-armhf [armhf]
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), libgcc1 (= ${gcc:EpochVersion}), ${misc:Depends}
Multi-Arch: same
Provides: libgcc1-dbg-armel [armel], libgcc1-dbg-armhf [armhf]
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: libgcc2
Architecture: m68k
Section: libs
Priority: required
Depends: gcc-4.7-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: multiarch-support
Breaks: ${multiarch:breaks}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc2-dbg
Architecture: m68k
Section: debug
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), libgcc2 (= ${gcc:Version}), ${misc:Depends}
Multi-Arch: same
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: libgcc4
Architecture: hppa
Multi-Arch: same
Pre-Depends: multiarch-support
Breaks: ${multiarch:breaks}
Section: libs
Priority: required
Depends: gcc-4.7-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc4-dbg
Architecture: hppa
Multi-Arch: same
Section: debug
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), libgcc4 (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: lib64gcc1
Architecture: i386 powerpc sparc s390 mips mipsel
Section: libs
Priority: optional
Depends: gcc-4.7-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: libgcc1 (<= 1:3.3-0pre9)
Description: GCC support library (64bit)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib64gcc1-dbg
Architecture: i386 powerpc sparc s390 mips mipsel
Section: debug
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), lib64gcc1 (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: lib32gcc1
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Section: libs
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib32gcc1-dbg
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Section: debug
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), lib32gcc1 (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: libn32gcc1
Architecture: mips mipsel
Section: libs
Priority: optional
Depends: gcc-4.7-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: libgcc1 (<= 1:3.3-0pre9)
Description: GCC support library (n32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libn32gcc1-dbg
Architecture: mips mipsel
Section: debug
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), libn32gcc1 (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: gcc-4.7-arm-linux-gnueabihf
Architecture: any
Section: devel
Priority: extra
Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), cpp-4.7-arm-linux-gnueabihf (= ${gcc:Version}), binutils-arm-linux-gnueabihf (>= ${binutils:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, libmudflap0-4.7-dev:armhf (>= ${gcc:Version}), gcc-4.7-doc (>= ${gcc:SoftVersion}), gcc-4.7-locales (>= ${gcc:SoftVersion}), libgcc1-dbg:armhf, libgomp1-dbg:armhf, libitm1-dbg:armhf, libquadmath0-dbg:armhf, libmudflap0-dbg:armhf, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-arm-linux-gnueabihf
Description: GNU C compiler (cross compiler for armhf architecture)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for armhf architecture.

Package: gcc-4.7-multilib-arm-linux-gnueabihf
Architecture: any
Section: devel
Priority: extra
Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), gcc-4.7-arm-linux-gnueabihf (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libmudflapbiarch}
Description: GNU C compiler (multilib files) (cross compiler for armhf architecture)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: gcc-4.7-plugin-dev-arm-linux-gnueabihf
Architecture: any
Section: devel
Priority: extra
Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), gcc-4.7-arm-linux-gnueabihf (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: gcc-4.7-hppa64
Architecture: any
Section: devel
Priority: optional
Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: gcc-3.3-hppa64 (<= 1:3.3.4-5), gcc-3.4-hppa64 (<= 3.4.1-3)
Description: GNU C compiler (cross compiler for hppa64)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

Package: cpp-4.7-arm-linux-gnueabihf
Architecture: any
Section: devel
Priority: extra
Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-4.7-locales (>= ${gcc:SoftVersion})
Replaces: gcc-4.6 (<< 4.6.1-9)
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for armhf architecture.

Package: g++-4.7-arm-linux-gnueabihf
Architecture: any
Section: devel
Priority: extra
Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), gcc-4.7-arm-linux-gnueabihf (= ${gcc:Version}), libstdc++6-4.7-dev:armhf (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-arm-linux-gnueabihf
Suggests: ${gxx:multilib}, gcc-4.7-doc (>= ${gcc:SoftVersion}), libstdc++6-4.7-dbg:armhf
Description: GNU C++ compiler (cross compiler for armhf architecture)
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for armhf architecture.

Package: g++-4.7-multilib-arm-linux-gnueabihf
Architecture: any
Section: devel
Priority: extra
Depends: gcc-4.7-arm-linux-gnueabihf-base (= ${gcc:Version}), g++-4.7-arm-linux-gnueabihf (= ${gcc:Version}), gcc-4.7-multilib-arm-linux-gnueabihf (= ${gcc:Version}), ${dep:libcxxbiarch}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libcxxbiarchdbg}
Description: GNU C++ compiler (multilib files) (cross compiler for armhf architecture)
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: libmudflap0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Breaks: ${multiarch:breaks}
Provides: libmudflap0-armel [armel], libmudflap0-armhf [armhf]
Section: libs
Priority: optional
Depends: gcc-4.7-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC mudflap shared support libraries
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: libmudflap0-dbg
Architecture: any
Multi-Arch: same
Provides: libmudflap0-dbg-armel [armel], libmudflap0-dbg-armhf [armhf]
Section: debug
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), libmudflap0 (= ${gcc:Version}), ${misc:Depends}
Description: GCC mudflap shared support libraries (debug symbols)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: lib32mudflap0
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Section: libs
Priority: optional
Depends: gcc-4.7-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: libmudflap0 (<< 4.1)
Conflicts: ${confl:lib32}
Description: GCC mudflap shared support libraries (32bit)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: lib32mudflap0-dbg
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Section: debug
Priority: extra
Depends: gcc-4.7-base (= ${gcc:Version}), lib32mudflap0 (= ${gcc:Version}), ${misc:Depends}
Description: GCC mudflap shared support libraries (32 bit debug symbols)
